# Class Restriction

Object
CodeList<Restriction>
Restriction

All Implemented Interfaces:
  `Serializable, Comparable<Restriction>`

@UML(identifier="MD_RestrictionCode", specification=ISO_19115) public final class Restriction extends CodeList<Restriction>
Limitation(s) placed upon the access or use of the data.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Restriction`
  `COPYRIGHT`
  Exclusive right to the publication, production, or sale of the rights to a literary, dramatic, musical, or artistic work, or to the use of a commercial print or label, granted by law for a specified period of time to an author, composer, artist, distributor.
  `static final Restriction`
  `INTELLECTUAL_PROPERTY_RIGHTS`
  Rights to financial benefit from and control of distribution of non-tangible property that is a result of creativity.
  `static final Restriction`
  `LICENSE`
  Formal permission to do something.
  `static final Restriction`
  `OTHER_RESTRICTIONS`
  Limitation not listed.
  `static final Restriction`
  `PATENT`
  Government has granted exclusive right to make, sell, use or license an invention or discovery.
  `static final Restriction`
  `PATENT_PENDING`
  Produced or sold information awaiting a patent.
  `static final Restriction`
  `RESTRICTED`
  Withheld from general circulation or disclosure.
  `static final Restriction`
  `TRADEMARK`
  A name, symbol, or other device identifying a product, officially registered and legally restricted to the use of the owner or manufacturer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Restriction[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Restriction`
  `valueOf(String code)`
  Returns the restriction that matches the given string, or returns a new one if none match it.
  `static Restriction[]`
  `values()`
  Returns the list of `Restriction`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COPYRIGHT

    @UML(identifier="copyright", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction COPYRIGHT
    Exclusive right to the publication, production, or sale of the rights to a literary, dramatic, musical, or artistic work, or to the use of a commercial print or label, granted by law for a specified period of time to an author, composer, artist, distributor.

  - ### PATENT

    @UML(identifier="patent", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction PATENT
    Government has granted exclusive right to make, sell, use or license an invention or discovery.

  - ### PATENT_PENDING

    @UML(identifier="patentPending", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction PATENT_PENDING
    Produced or sold information awaiting a patent.

  - ### TRADEMARK

    @UML(identifier="trademark", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction TRADEMARK
    A name, symbol, or other device identifying a product, officially registered and legally restricted to the use of the owner or manufacturer.

  - ### LICENSE

    @UML(identifier="license", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction LICENSE
    Formal permission to do something.

  - ### INTELLECTUAL_PROPERTY_RIGHTS

    @UML(identifier="intellectualPropertyRights", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction INTELLECTUAL_PROPERTY_RIGHTS
    Rights to financial benefit from and control of distribution of non-tangible property that is a result of creativity.

  - ### RESTRICTED

    @UML(identifier="restricted", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction RESTRICTED
    Withheld from general circulation or disclosure.

  - ### OTHER_RESTRICTIONS

    @UML(identifier="otherRestrictions", obligation=CONDITIONAL, specification=ISO_19115) public static final Restriction OTHER_RESTRICTIONS
    Limitation not listed.

- ## Method Details

  - ### values

    public static Restriction[] values()
    Returns the list of `Restriction`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Restriction[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Restriction>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Restriction valueOf(String code)
    Returns the restriction that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.